## Further Reading

<style>
  img { width: auto; }

  .pluralsight-link {
    float: left;
    margin-right: 0.5em;
  }

  .pluralsight-title {
    font-size: 1.5em;
  }

  p {
    line-height: 1.5em;
  }
</style>

There's a lot of great content out there to learn more about Mongoose.
This page has a list of video courses, books, and blog posts curated by
Mongoose maintainers. We've gone through every course, book, and article
on this page to make sure it is high quality.

* [Video Courses](#video-courses)
* [Books](#books)
* [Blog Posts](#blog-posts)

## Video Courses

<a href="//pluralsight.pxf.io/c/1321469/432943/7490" class="pluralsight-link">
  <img src="//a.impactradius-go.com/display-ad/7490-432943" border="0" alt="" width="180" height="95"/>
</a>
<img height="0" width="0" src="//pluralsight.pxf.io/i/1321469/432943/7490" style="position:absolute;visibility:hidden;" border="0" />
    
<a class="pluralsight-title" href="https://pluralsight.pxf.io/c/1321469/424552/7490?u=https%3A%2F%2Fapp.pluralsight.com%2Flibrary%2Fcourses%2Fapi-design-nodejs-express-mongo%2Ftable-of-contents">
  API Design in Node.js Featuring Express & Mongo
</a>

This course is a great introduction to building a RESTful API with [Express](http://expressjs.com/)
and Mongoose. The instructor is [Scott Moss](https://frontendmasters.com/teachers/scott-moss/),
a serial entrepreneur and former instructor at [Hack Reactor](https://www.hackreactor.com/), San Francisco's number one coding bootcamp.

<div style="clear: both"></div>
<br><br>

<a href="https://thinkster.io/tutorials/node-json-api" class="pluralsight-link" style="padding:20px">
  <img src="https://pbs.twimg.com/profile_images/819400302864412676/6x2g2XtJ_400x400.jpg" border="0" alt="" style="width: 140px" />
</a>
  
<a class="pluralsight-title" href="https://thinkster.io/tutorials/node-json-api">
  Building a Production Ready Node.js JSON API
</a>

<br><br>

[Thinkster](https://thinkster.io/) has created a full stack web
development course for just about every backend and frontend framework
you can think of. Want to learn how to build a full stack app with Vue
and Django, or with Angular and Rails? Thinkster has a course for that.
The Node.js tutorial walks you through building a production-ready
RESTful API with Express and Mongoose from scratch.

<div style="clear: both"></div>
<br><br>

<a href="//pluralsight.pxf.io/c/1321469/432943/7490" class="pluralsight-link">
  <img src="//a.impactradius-go.com/display-ad/7490-432943" border="0" alt="" width="180" height="95"/>
</a>
<img height="0" width="0" src="//pluralsight.pxf.io/i/1321469/432943/7490" style="position:absolute;visibility:hidden;" border="0" />

<a class="pluralsight-title" href="https://pluralsight.pxf.io/c/1321469/424552/7490?u=https%3A%2F%2Fapp.pluralsight.com%2Flibrary%2Fcourses%2Fmongoose-for-nodejs-mongodb%2Ftable-of-contents">
  Introduction to Mongoose for Node.js and MongoDB
</a>

<br><br>

Know someone who wants to get started building Node.js apps but doesn't have
a lot of software development experience?
This course is more beginner-friendly than _API Design_ and is a great
resource for beginners looking to get started.

<div style="clear: both"></div>
<br><br>

<a href="//pluralsight.pxf.io/c/1321469/432943/7490" class="pluralsight-link">
  <img src="//a.impactradius-go.com/display-ad/7490-432943" border="0" alt="" width="180" height="95"/>
</a>
<img height="0" width="0" src="//pluralsight.pxf.io/i/1321469/432943/7490" style="position:absolute;visibility:hidden;" border="0" />

<a class="pluralsight-title" href="https://pluralsight.pxf.io/c/1321469/424552/7490?u=https%3A%2F%2Fapp.pluralsight.com%2Flibrary%2Fcourses%2Fnode-js-express-rest-web-services%2Ftable-of-contents">
  RESTful Web Services with Node.js and Express
</a>

<br><br>

Looking for a course to take you from zero to Express + Mongoose
REST API fast? This is the one. This course is halfway
between _API Design_ and _Introduction to Mongoose_. It focuses more on
[Express](http://expressjs.com/), but also doesn't go into as much detail as _API Design_. 

<div style="clear: both"></div>
<br><br>

<a href="//pluralsight.pxf.io/c/1321469/432943/7490" class="pluralsight-link">
  <img src="//a.impactradius-go.com/display-ad/7490-432943" border="0" alt="" width="180" height="95"/>
</a>
<img height="0" width="0" src="//pluralsight.pxf.io/i/1321469/432943/7490" style="position:absolute;visibility:hidden;" border="0" />

<a class="pluralsight-title" href="https://pluralsight.pxf.io/c/1321469/424552/7490?u=https%3A%2F%2Fapp.pluralsight.com%2Flibrary%2Fcourses%2Fbuilding-business-applications-vuejs%2Ftable-of-contents">
  Building Business Applications with Vue.js and MongoDB
</a>

<br><br>

This course walks you through building a full-stack web application using
the [VENoM Stack](https://medium.com/@audretschjames/venom-stack-docker-setup-for-local-development-457093761ad1).
Try this course if you're a [Vue.js](https://vuejs.org/) expert looking to
expand into backend engineering or an experienced MongoDB dev looking to
learn about frontend dev.

<div style="clear: both"></div>
<br><br>

<a href="//pluralsight.pxf.io/c/1321469/432943/7490" class="pluralsight-link">
  <img src="//a.impactradius-go.com/display-ad/7490-432943" border="0" alt="" width="180" height="95"/>
</a>
<img height="0" width="0" src="//pluralsight.pxf.io/i/1321469/432943/7490" style="position:absolute;visibility:hidden;" border="0" />

<a class="pluralsight-title" href="https://pluralsight.pxf.io/c/1321469/424552/7490?u=https%3A%2F%2Fapp.pluralsight.com%2Flibrary%2Fcourses%2Fmongoosejs-moving-forward%2Ftable-of-contents">
  Moving Forward with Mongoose.js
</a>

<br><br>

Stuck maintaining a legacy codebase on Mongoose 3.x? This course will
give you a detailed overview of the [breaking changes and new features in Mongoose 4.x](https://github.com/Automattic/mongoose/wiki/4.0-Release-Notes),
so you can upgrade with confidence.

<div style="clear: both"></div>

## Books

<a class="pluralsight-link" href="http://bit.ly/mongoose-book-2013">
  <img src="https://s3.amazonaws.com/codebarbarian-images/mongoose.jpg" style="width: 180px">
</a>

<a class="pluralsight-title" href="http://bit.ly/mongoose-book-2013">
  <i>Mongoose for Application Development</i> by Simon Holmes
</a>

This is the book on Mongoose. Even though it is from 2013,
_Mongoose for Application Development_ has stood the test of time. This
book does an excellent job summarizing the core ideas that make Mongoose so
powerful. Just sub out callbacks for promises.

<div style="clear: both"></div>

<a class="pluralsight-link" href="https://bit.ly/mongodb-schema-design">
  <img src="https://s3.amazonaws.com/codebarbarian-images/schemadesign.jpg" style="width: 180px">
</a>

<a class="pluralsight-title" href="https://bit.ly/mongodb-schema-design">
  <i>The Little MongoDB Schema Design Book</i> by Christian Kvalheim
</a>

Christian Kvalheim originally wrote the MongoDB Node.js driver in early 2010,
and maintained the driver almost singlehandedly until 2017. As maintainer
of the Node.js driver, Christian saw more Node.js+MongoDB code bases than
anyone, and his experience is unmatched.
This book distills 6 years of hard-learned lessons into concrete examples
of how to design MongoDB schemas for massive scale. If you want to learn
how to structure MongoDB schemas for an e-commerce store, a category tree, or a
blog that can support hundreds of millions of requests per day, this is
the book for you.

<div style="clear: both"></div>

## Blog Posts

<a class="pluralsight-link" style="padding: 20px" href="https://medium.freecodecamp.org/introduction-to-mongoose-for-mongodb-d2a7aa593c57">
  <img src="https://cdn-images-1.medium.com/max/800/1*uTZXsVta4TwghNobMkZeZg.png" style="width: 140px">
</a>

<a class="pluralsight-title" href="https://medium.freecodecamp.org/introduction-to-mongoose-for-mongodb-d2a7aa593c57">
  <i>Introduction to Mongoose for MongoDB</i> on freeCodeCamp
</a>

Coming from an SQL background and having trouble understanding Mongoose and MongoDB?
This article explains the core concepts of Mongoose with references to similar
concepts in SQL.

<div style="clear: both"></div>

<a class="pluralsight-link" style="padding: 20px" href="https://developer.mozilla.org/en-US/docs/Learn/Server-side/Express_Nodejs/mongoose">
  <img src="https://developer.mozilla.org/static/img/opengraph-logo.72382e605ce3.png" style="width: 140px">
</a>

<a class="pluralsight-title" href="https://developer.mozilla.org/en-US/docs/Learn/Server-side/Express_Nodejs/mongoose">
  <i>Express Tutorial Part 3: Using a Database (with Mongoose)</i> on Mozilla Developer Network
</a>

Virtually every JavaScript developer has read MDN docs. They're usually one
of the top 3 results when you Google "javascript startswith" or any other
core JavaScript function. This tutorial provides an overview of Mongoose
in MDN's standard style and tone.

<div style="clear: both"></div>